LibreOffice: XCellCursor Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XCellCursor Interface Referencepublished

provides methods to control the position of a cell cursor. More...

`import "XCellCursor.idl";`

Inheritance diagram for XCellCursor:

## Public Member Functions
void | gotoStart ()
| points the cursor to a single cell which is the beginning of a contiguous series of (filled) cells.
void | gotoEnd ()
| points the cursor to a single cell which is the end of a contiguous series of (filled) cells.
void | gotoNext ()
| points the cursor to the next unprotected cell.
void | gotoPrevious ()
| points the cursor to the previous unprotected cell.
void | gotoOffset ([in] long nColumnOffset, [in] long nRowOffset)
| moves the origin of the cursor relative to the current position.
Public Member Functions inherited from XCellRange
com::sun::star::table::XCell | getCellByPosition ([in] long nColumn, [in] long nRow) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a single cell within the range.
com::sun::star::table::XCellRange | getCellRangeByPosition ([in] long nLeft, [in] long nTop, [in] long nRight, [in] long nBottom) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| Returns a sub-range of cells within the range.
com::sun::star::table::XCellRange | getCellRangeByName ([in] string aRange)
| Returns a sub-range of cells within the range.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides methods to control the position of a cell cursor.

See also
  com::sun::star::table::CellCursor

## Member Function Documentation

## ◆ gotoEnd()

void gotoEnd | ( |  | ) |

points the cursor to a single cell which is the end of a contiguous series of (filled) cells.

## ◆ gotoNext()

void gotoNext | ( |  | ) |

points the cursor to the next unprotected cell.

If the sheet is not protected, this is the next cell to the right.

## ◆ gotoOffset()

void gotoOffset | ( | [in] long | nColumnOffset,
|  | [in] long | nRowOffset )

moves the origin of the cursor relative to the current position.

Parameters

  nColumnOffset | is the count of columns to move. A negative value moves the cursor to the left.
  nRowOffset | is the count of rows to move. A negative value moves the cursor to the top.

## ◆ gotoPrevious()

void gotoPrevious | ( |  | ) |

points the cursor to the previous unprotected cell.

If the sheet is not protected, this is the next cell to the left.

## ◆ gotoStart()

void gotoStart | ( |  | ) |

points the cursor to a single cell which is the beginning of a contiguous series of (filled) cells.

The documentation for this interface was generated from the following file:

- com/sun/star/table/XCellCursor.idl